Skip to main content
POST
/
api
/
dataproduct
/
psk
/
{psk_id}
/
extend
Extends validity of pre-shared key
curl --request POST \
  --url https://api.example.com/api/dataproduct/psk/{psk_id}/extend \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "validity_days": 123
}
'
{
  "psk": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "valid_until": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

psk_id
string<uuid>
required

Unique ID of the pre-shared key to be extended.

Body

application/json
validity_days
integer
required

Number of additional days to extend the pre-shared key validity.

Response

Pre-shared key extended successfully.

psk
string<uuid>
required

The unique ID of the generated pre-shared key.

description
string
required

The description provided for this key.

valid_until
string<date-time>
required

Expiration date and time of the key.